nelmio_api_doc:
    documentation:
        info:
            title: Trackingpremium API
            description: New version for Multitrack API
            version: 1.0.0
        components:
            securitySchemes:
                Bearer:
                    type: http
                    scheme: bearer
                    bearerFormat: JWT
                ApiKey:
                    type: apiKey
                    in: header
                    name: x-api-key
                    description: 'API key for client authentication'
        security:
            - Bearer: []
    areas:
        # Public API documentation for clients
        clients:
            documentation:
                info:
                    title: Trackingpremium Client API
                    description: Public API for external clients
                    version: 1.0.0
                components:
                    securitySchemes:
                        ApiKey:
                            type: apiKey
                            in: header
                            name: x-api-key
                            description: 'API key for client authentication'
                security:
                    - ApiKey: []
            path_patterns:
                - ^/api/client
        # Internal API documentation
        default:
            documentation:
                info:
                    title: Trackingpremium Internal API
                    description: Internal API for administrative use
                    version: 1.0.0
                components:
                    securitySchemes:
                        Bearer:
                            type: http
                            scheme: bearer
                            bearerFormat: JWT
                security:
                    - Bearer: []
            path_patterns:
                - ^/api(?!/doc$)(?!/client) # Accepts routes under /api except /api/doc
